Bug 253811 - RFE: registration tool (register-ds-admin.pl)
RFE: registration tool (register-ds-admin.pl)
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.0.4
All Linux
low Severity low
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-08-21 22:02 EDT by Noriko Hosoi
Modified: 2015-12-07 11:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:32:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diff (adminserver) (19.04 KB, patch)
2007-08-21 22:09 EDT, Noriko Hosoi
no flags Details | Diff
sample usage (6.28 KB, text/plain)
2007-08-21 22:27 EDT, Noriko Hosoi
no flags Details
cvs commit message (1.26 KB, text/plain)
2007-08-23 19:52 EDT, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2007-08-21 22:02:32 EDT
Description of problem:
1. if ldap servers are installed at the non-standard location using .inf file
(as quickinstall does), register-ds-admin.pl cannot find them.
2. there should be some way to select ldap servers not to register to the
Configuration Directory Server.
Comment 1 Noriko Hosoi 2007-08-21 22:09:37 EDT
Created attachment 162024 [details]
cvs diff (adminserver)

Files:
 admserv/newinst/src/AdminUtil.pm.in
 admserv/newinst/src/RegDSDialogs.pm
 admserv/newinst/src/register-ds-admin.pl.in
 admserv/newinst/src/register-ds-admin.res.in

Change description:
1. Added a question if there is DS located at a non-standard place; if any ask
for the path.  The question is repeated till empty input (return) is given.
2. Changed the instances data structure to hash to make the comparison easy to
check whether the path and server instance name pair is already in the hash or
not.
3. When registering the sub DSes, it prompts for the Directory Manager
password.  If empty password (return) is given, the server is not registered.
Comment 2 Noriko Hosoi 2007-08-21 22:27:49 EDT
Created attachment 162025 [details]
sample usage
Comment 3 Noriko Hosoi 2007-08-23 19:52:36 EDT
Created attachment 172383 [details]
cvs commit message

Reviewed by Rich (Thank you!!)

Checked in into HEAD.
Comment 4 Yi Zhang 2007-11-28 18:34:16 EST
Verified, pass

Same procedure as bug 247739

Pass

Note You need to log in before you can comment on or make changes to this bug.